(define (string-maybe-pad-left text)
  (if (string-null? text)
      text
      (string-append " " text)))

(define (add-fa-icon icon)
  (lambda (text)
    (if (string-null? text)
        text
        (list (list 'font "FontAwesome-10"
                    (string-append " " icon " "))
              text))))

(text-widget-font "Fantasque Sans Mono-13:bold")
(text-widget-color "#ededed")
(text-widget-format string-maybe-pad-left)
(widget-background-color "#000000")

(window
 'position 'top
 'width 1890
 'margin-top 15
 'margin-left 15
 'margin-right 15
 (widget:spacer 'width 5)
 (widget:text 'name "title" 'text "drd")
 (widget:spacer 'width 10)
 (widget:text 'name "mpd" 'format (add-fa-icon "") 'flex 1)
 (widget:flags
  'name "keychain"
  'font "FontAwesome-10"
  'flags '(("Unlocked" . "")
           ("Locked" . ""))
  'format text-maybe-pad-left)
 (widget:text 'name "email" 'format (add-fa-icon ""))
 (widget:clock)
 (widget:spacer 'width 5))
